Subject: Re: Routing tables associated with VLANs dissappear when parent ethX down/up

From: Ben Greear <[email-masked]>
Date: Wed, 21 Nov 2007 12:54:01 -0800

Patrick McHardy wrote:
> Stephen Hemminger wrote:
>> On Wed, 21 Nov 2007 11:51:43 -0800
>> Ben Greear <[email-masked]> wrote:
>>
>>  
>>> For consideration, this patch seems to work for me.  I'm not sure
>>> why we ever listed to these events.  I've only tested on a NIC that
>>> doesn't support hw-accel at the moment..will test with e1000 later.
>>>
>>> Thanks,
>>> Ben
>>>
>>>     
>>
>> But then if you are doing bonding or bridging of vlan's and you bring 
>> down the root network device, the upper layer is not
>> notified (for failover).
>>   
> 
> operstate should be enough for this I guess. Ben, what does iproute show
> for the vlan device when the lower device is down?

It looks like it knows, assuming M-DOWN is useful information.
Eth2 is un-plugged, by the way.

[root@lanforge-33-46 ~]# ifconfig eth2 up
[root@lanforge-33-46 ~]# ip link show eth2.2
125: eth2.2@eth2: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue
     link/ether 00:03:2d:08:33:47 brd ff:ff:ff:ff:ff:ff
[root@lanforge-33-46 ~]# ifconfig eth2 down
[root@lanforge-33-46 ~]# ip link show eth2.2
125: eth2.2@eth2: <NO-CARRIER,BROADCAST,MULTICAST,UP,M-DOWN> mtu 1500 qdisc noqueue
     link/ether 00:03:2d:08:33:47 brd ff:ff:ff:ff:ff:ff
[root@lanforge-33-46 ~]#

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com